Function
read2
reads an entire document from a StreamConcept, by the means of RecordReader
read2(StringSet<TIdString, TIdSpec> & sequenceIds, StringSet<TSeqString, TSeqSpec> & sequences, RecordReader<TFile, DoublePass<TSpec> > & reader, Fasta const &)
read2(StringSet<TIdString, TIdSpec> & sequenceIds, StringSet<TSeqString, TSeqSpec> & sequences, RecordReader<TFile, DoublePass<TSpec> > & reader, Fastq const &)
read2(StringSet<TIdString, TIdSpec> & sequenceIds, StringSet<TSeqString, TSeqSpec> & sequences, StringSet<TQualString, TQualSpec> & qualities, RecordReader<TFile, DoublePass<TSpec> > & reader, Fastq const &)
read2(<format specific>, TRecordReader & reader, TTag const &)
Include Headers
seqan/stream.h
Parameters

<format specific> | possibly multiple StringSets (e.g. of meta and sequences)
reader | The reader object to read from Types: RecordReader
TTag | The file format tag

Remarks
This is only supported for Double-Pass IO. If you cannot use Double-Pass IO (e.g. when you cannot seek on the stream), loop over readRecord instead.
If not noted otherwise an especially efficient version of the function is used if all StringSets are specialized as ConcatDirect -StringSets.
Status
Should be renamed to "read" once the old IO-Code is removed
Member of
RecordReader
See Also
readRecord, RecordReader
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58